[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinterCanvas.BeginDoc

Performs actions needed to start printing a document.

## Declaration

Source position: printers.pas line 114

`public procedure TPrinterCanvas.BeginDoc; virtual;`

## Description

BeginDoc performs actions needed to start printing a document using the printer canvas. BeginDoc sets the value in the PageNumber property to 1. The NewPage method is called when each subsequent page is started.

BeginDoc is called from the TPrinter.BeginDoc method when its RawMode property is set to False.

## See also

TPrinterCanvas.PageNumber |  | The number for the current page in the printer canvas.
TPrinterCanvas.NewPage |  | Performs actions needed when a new page is started.
TPrinterCanvas.EndDoc |  | Performs actions needed when a document has finished printing.